{% extends 'default-theme/classic_site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% load custom_tags %}

{% block extra_style_block %}
    <link rel="stylesheet" href="{% static 'css/new_confirm.css' %}">
    <link rel="stylesheet" href="{% static 'toastr/toastr.css' %}">
    <link href="{% static 'css/grid-style.css' %}" rel="stylesheet"/>
    <style>
        span#btn-back {
            font-size: 30px;
        }
        span#btn-back:hover {
            cursor: pointer;
        }
        .box-title {
            height: 30px;
            vertical-align: top;
        }
        .box-title p {
            margin-top: 5%;
        }
        .box-title p.back {
            margin-top: 10% !important;
        }
        h1.back-list {
            margin-left: 2% !important;
            display: inline-block;
            vertical-align: top;
        }

        /* status color */

        .Draft {
            background-color: #f39c12 !important;
        }
        .Processing {
            background-color: #00c0ef !important;
        }
        .SchemeApplied {
            background-color: #68b9a3 !important;
        }
        .Deleted {
            background-color: #dd4b39 !important;
        }
        .OrderPlaced {
            background-color: #00a65a !important;
        }
        .InWarehouse {
            background-color: #a2a600 !important;
        }
        .Reject {
            background-color: #00dd4b39 !important;
        }
        .OnHold {
            background-color: #88377d !important;
        }
        .Dispatched {
            background-color: #1b7396 !important;
        }
        .Delivered {
            background-color: #827a16 !important;
        }
        .PartialDispatched {
            background-color: #9c9756 !important;
        }
        .PaymentDone {
            background-color: #9c9756 !important;
        }
        /* status color */

        .col-user-image {
            float: left;
        }
        .col-user-image img {
            width: 100px;
            height: 105px;
            border: 1px solid #c97904;
            border-radius: 8px;
        }
        .col-cust-add h4 {
            text-transform: capitalize;
            font-size: 22px;
            margin: 0 0 0px 0;
            font-weight: 600;
            line-height: 1.2;
        }
        #ui-id-1 {
            max-height: 325px;
            overflow-y: scroll;
            z-index:11111;
        }
        .ui-state-active {
            background:transparent!important;
            border:none!important;
        }
        ui-menu-item-wrapper.ui-state-active {
            color:#333!important;
        }

        .user-panel > .image > img {
            /* width: 45px !important;
            height: 45px !important; */
            width: 100% !important;
            max-width: 45px !important;
            height: auto !important;
        }

        .navbar-custom-menu .nav > li > a > img {
            box-shadow: none !important;
            width: 30px !important;
            height: 30px !important;
        }
        .navbar-nav > .user-menu > .dropdown-menu > li.user-header > img {
            box-shadow: none !important;
            width: 90px !important;
            height: 90px !important;
        }
        .cart-new {
            width: 58px;
            padding-top: 15px !important;
            padding-bottom: 14px !important;
        }
        .profile-new {
            padding-top: 10px !important;
            padding-bottom: 10px !important;
        }
    </style>
{% endblock %}

{% block side_menu %}
    {% if request.user.is_superuser %}
        {% include "admin_side_menu.html" %}
    {% elif request.user|has_group:"DEL" %}
        {% include "customer_side_menu.html" %}
    {% elif request.user|has_group:"SR" %}
        {% include "sr_side_menu.html" %}
    {% elif request.user|has_group:"WHSUSER" %}
        {% include "warehouse_user_side_menu.html" %}
    {% elif request.user|has_group:"WHS" %}
        {% include "warehouse_side_menu.html" %}
    {% else %}
        {% include "finance_site_menu.html" %}
    {% endif %}
{% endblock %}

{% block extra_search_item %}
    {% if request.user.is_superuser %}
        {% include "search.html" %}
    {% endif %}
{% endblock %}

{% block extra_nav_item %}
    {% if request.user|has_group:"DEL" %}
        {% include "cart.html" %}
    {% endif %}

    {% include "brand_list.html" %}
    {% include "profile.html" %}
{% endblock %}



{% block extra_script_block %}
    <script src="{% static 'toastr/toastr.js' %}"></script>

    <script>
        $(document).ready(function() {
            if(typeof datepicker !='undefined') {
                $('.datetimeinput').datepicker({
                    autoclose: true
                });
                $('.dateinput').datepicker({
                    autoclose: true
                });
            }
            window.setTimeout(function() {
                $(".main-sidebar a").each(function() {
                    var h = $(this).attr("href");
                    if(h == window.location.pathname) {
                        $(this.parentElement).addClass("active");

                        if($(this).parents('ul')) {
                            $(this).parents('ul.treeview-menu').each(function() {
                                $($(this).prev()).click();

                            });
                        }
                    }
                    else {
                        $(this.parentElement).removeClass("active");
                    }
                });
     return false;
            }, 500);


            $("#top_brand").change(function() {
                $.ajax({
                    type:'get',
                    url: '/set/brand/'+$(this).val(),
                    success: function(res) {
                        window.location.reload();
                    }
                });
            });

            $('span#btn-back').on('click', function(e){
                e.preventDefault();
                window.history.back();
            });
        });
    </script>

    <link rel="stylesheet" href="{% static 'auto-search/jquery-ui.css' %}">
    <script src="{% static 'auto-search/jquery-ui.js' %}"></script>
    <script>
        $( function() {

            $('#txtSearch').on("input", function() {
                // var search = $(this).val();

                $.ajax({
                    url: '/user/global-search',
                    type: 'GET',
                    cache: false,
                    data: { search: $(this).val() },
                    success: function (response) {
                        $('#txtSearch').autocomplete({
                            minLength: 2,
                            delay: 300,
                            source: response['data']
                        });
                    },
                    error: function () {
                        // alert("Error Ajax didn't call!!!");
                    }
                });
            });

            $("a.sidebar-toggle").click(function() {

                if ($("body").hasClass("sidebar-collapse")) {
                    $("ul.sidebar-menu").css("display", 'block');

                }

                else {
                    $("ul.sidebar-menu").css("display", 'none');

                }
            });
        });
    </script>

    <script>
        $(document).ready(function () {

            {% for message in messages %}
                {% if message.tags == 'error' %}
                    toastr.error('{{message}}');
                {% elif message.tags == 'warning' %}
                    toastr.warning('{{message}}');
                {% elif message.tags == 'success' %}
                    toastr.success('{{message}}');
                {% elif message.tags == 'info' %}
                    toastr.info('{{message}}');
                {% else %}
                    toastr.info('{{message}}');
                {% endif %}
           {% endfor %}
        });
    </script>


    <script>
        $(document).ready(function(){
            if(typeof select2!='undefined') {
                $('select').select2();
            }

            $(".main-sidebar a").each(function() {
                var h = $(this).attr("href");
                if(h == window.location.pathname) {

                    $(this.parentElement).addClass("active");

                    if($(this).parents('ul')) {
                        $(this).parents('ul').each(function() {
                            $($(this).prev()).click();

                        });
                    }
                }
                else {
                    $(this.parentElement).removeClass("active");
                }

            });

            $(".grid-style-view").click(function(){
                window.location=UpdateQueryString('page_style', 'grid');
            });

            $(".list-style-view").click(function(){
                window.location=UpdateQueryString('page_style', 'list');
            });
        });

        function UpdateQueryString(key, value, url) {

            if (!url) url = window.location.href;

            var re = new RegExp("([?&])" + key + "=.*?(&|#|$)(.*)", "gi"), hash;

            if (re.test(url)) {
                if (typeof value !== 'undefined' && value !== null)
                    return url.replace(re, '$1' + key + "=" + value + '$2$3');
                else {
                    hash = url.split('#');
                    url = hash[0].replace(re, '$1$3').replace(/(&|\?)$/, '');
                    if (typeof hash[1] !== 'undefined' && hash[1] !== null)
                        url += '#' + hash[1];
                    return url;
                }
            }
            else {
                if (typeof value !== 'undefined' && value !== null) {
                    var separator = url.indexOf('?') !== -1 ? '&' : '?';
                    hash = url.split('#');
                    url = hash[0] + separator + key + '=' + value;
                    if (typeof hash[1] !== 'undefined' && hash[1] !== null)
                        url += '#' + hash[1];
                    return url;
                }
                else
                    return url;
            }
        }
    </script>

{% endblock %}